Subject: Keys

From: Susie <[email-masked]>
Date: Wed, 01 Sep 1999 12:47:53 -0700

Do you guys still have a key to our place?
I didn't remember if we had gotten it back from you when you watched a
house a trip or two ago. I seem to recall we had. Which would be
unfortunate since someone needs to get into our place. 

How goes your vacation? I hadn't heard from you last week. Now we are in
California and having a lot of fun ;-}

See you when we get back! Mikee gets back Sept 10th, I get back Sept
14th.

-Susie